# New-RASAVDWorkspace

### NAME

New-RASAVDWorkspace\ <br>

### SYNOPSIS

Creates an Azure Virtual Desktop Workspace.\ <br>

### SYNTAX

New-RASAVDWorkspace \[-[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDWorkspace.html#Name)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDWorkspace.html#SiteId)] *\<uint>*] -[Location](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDWorkspace.html#Location) *\<string>* -[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDWorkspace.html#ProviderId) *\<uint>* -[ResourceGroup](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDWorkspace.html#ResourceGroup) *\<string>* \[-[Description](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDWorkspace.html#Description) *\<string>*] \[-[FriendlyName](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDWorkspace.html#FriendlyName) *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDWorkspace.html#CommonParameters)*>*]\
\
New-RASAVDWorkspace \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDWorkspace.html#SiteId)] *\<uint>*] -[AzureId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDWorkspace.html#AzureId) *\<string>* -[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDWorkspace.html#ProviderId) *\<uint>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDWorkspace.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Creates a new Azure Virtual Desktop Workspace or imports an existing Azure Virtual Desktop Workspace.\
\
This is an Experimental feature which is subject to slight changes.\ <br>

### PARAMETERS

\
-**Name \<string>**\
The name of the Azure Virtual Desktop Workspace.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID in which to create the specified Azure Virtual Desktop Workspace.\
\
If the parameter is omitted, the Licensing Server site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ProviderId \<uint>**\
The Provider ID of the Azure Virtual Desktop Provider.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Description \<string>**\
Description of the Azure Virtual Desktop Workspace.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**FriendlyName \<string>**\
Friendly name of Azure Virtual Desktop Workspace.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ResourceGroup \<string>**\
Resource Group of the Azure Virtual Desktop Workspace.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Location \<string>**\
Location Name of the Azure Virtual Desktop Workspace.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AzureId \<string>**\
Azure ID of existing Workspace.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[AVDWorkspace](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDWorkspace.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
New-RASAVDWorkspace -Name "My AVDWorkspace" -ProviderId 1 -ResourceGroup "My Resource Group" -Location "My Location"\
\
Creates a new Azure Virtual Desktop Workspace within the Licensing Server site.\
\
To create the Azure Virtual Desktop Workspace within a specific site, specify the -SiteId parameter.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
New-RASAVDWorkspace -ProviderId 1 -AzureId "subscriptions/b0375739-05f3-859f-ac89-20ef4dcd92cb/resourceGroups/My\_Resource\_Group/providers/Microsoft.DesktopVirtualization/workspaces/My-Workspace"\
\
Creates an Azure Virtual Desktop Workspace, from an existing Workspace specified by the AzureId, within the Licensing Server site.<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/new-rasavdworkspace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
